/* 992px, 768px */
@import url("https://fonts.googleapis.com/css2?family=Raleway:wght@700&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Raleway:wght@400;700&display=swap");

:root {
  --blue-a: #0065fc;
  --blue-b: #deebff;
  --gray-a: #f2f2f2;
}

* {
  font-family: "Raleway", sans-serif;
}

@media only screen and (max-width: 768px) {
  .show-in-desktop-only {
    display: none !important;
  }
}

@media only screen and (min-width: 768px) {
  .show-in-mobile-only {
    display: none !important;
  }
}

html {
  background-color: #fff;
  scroll-behavior: smooth;
}

nav#nav-top {
  display: flex;
  position: absolute;
  top: 0;
  right: 0;
  font-family: "Raleway", sans-serif;
  width: 400px;
  height: 100px;
}

@media only screen and (max-width: 768px) {
  nav#nav-top {
    width: 100%;
    top: 130px;
    height: 75px;
  }
}

nav#nav-top a {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 50%;
  height: 100%;
  text-decoration: none;
  color: initial;
  border-top: 5px solid transparent;
  box-sizing: border-box;
}

@media only screen and (max-width: 768px) {
  nav#nav-top a {
    font-size: 30px;
  }
}

nav#nav-top a:hover {
  border-top: 5px solid var(--blue-a);
  color: var(--blue-a);
  box-sizing: border-box;
}

@media only screen and (max-width: 768px) {
  nav#nav-top a:hover {
    border-top: unset;
    border-bottom: 5px solid var(--blue-a);
  }
}

main#main-container {
  width: 95%;
  height: max-content;
  margin: 40px auto 0;
}

@media only screen and (max-width: 768px) {
  main#main-container {
    width: 100%;
  }
}

header {
  width: 100%;
  height: max-content;
}

@media only screen and (max-width: 768px) {
  header {
    width: 90%;
    margin: 0 auto;
  }
}

img#booki-logo {
  width: 80px;
  height: auto;
}

@media only screen and (max-width: 768px) {
  img#booki-logo {
    display: block;
    margin: 0 auto 120px auto;
    width: 160px;
    height: auto;
  }
}

h1#heading {
  font-size: 30px;
  margin: 30px 0 0 0;
  font-weight: 700;
}

@media only screen and (max-width: 768px) {
  h1#heading {
    font-size: 42px;
  }
}

h6#subheading {
  font-size: 21px;
  font-weight: 400;
  margin: 15px 0;
}

@media only screen and (max-width: 768px) {
  h6#subheading {
    font-size: 32px;
    margin: 15px 0 60px 0;
  }
}

div#search-bar {
  display: flex;
  width: 375px;
  height: 45px;
  border: 1px solid #cecece;
  border-radius: 15px;
  overflow: hidden;
}

@media only screen and (max-width: 768px) {
  div#search-bar {
    width: 98%;
    height: 75px;
  }
}

div#search-bar i {
  display: flex;
  justify-content: center;
  align-items: center;
  flex: 1 0 auto;
  height: 100%;
  background-color: var(--gray-a);
}

@media only screen and (max-width: 768px) {
  div#search-bar i {
    font-size: 25px;
  }
}

div#search-bar input {
  border: none;
  flex: 2 0 auto;
  text-indent: 10px;
  font-weight: 800;
}

@media only screen and (max-width: 768px) {
  div#search-bar input {
    flex: 2 0 auto;
    font-size: 30px;
    max-width: 65%;
  }
}

div#search-bar button {
  display: flex;
  justify-content: center;
  align-items: center;
  flex: 1 0 auto;
  border: none;
  background-color: var(--blue-a);
  color: #fff;
}

@media only screen and (max-width: 768px) {
  div#search-bar button {
    flex: 0.75 0 auto;
  }
}

div#search-bar button > span {
  font-weight: 700;
}

@media only screen and (max-width: 768px) {
  div#search-bar button {
    border-radius: 10px;
  }
}

@media only screen and (max-width: 768px) {
  div#search-bar button > i {
    background: none;
  }
}

div#filters {
  display: flex;
  align-items: center;
  width: max-content;
  height: 40px;
  margin-top: 30px;
}

@media only screen and (max-width: 768px) {
  div#filters {
    width: 100%;
    height: max-content;
    flex-wrap: wrap;
    gap: 20px;
  }
}

div#filters h5 {
  margin-right: 50px;
}

@media only screen and (max-width: 768px) {
  div#filters h5 {
    font-size: 31px;
    flex-basis: 100%;
    margin: 0 0 10px 0;
  }
}

div#filters div {
  display: flex;
  align-items: center;
  width: max-content;
  position: relative;
  height: 50px;
  border-top: 3px solid #d9d9d9;
  border-right: 3px solid #d9d9d9;
  border-bottom: 3px solid #d9d9d9;
  border-top-right-radius: 25px;
  border-bottom-right-radius: 25px;
  box-sizing: border-box;
  margin-right: 40px;
  cursor: pointer;
}

div#filters div:hover {
  color: var(--blue-a);
}

@media only screen and (max-width: 768px) {
  div#filters div {
    padding: 41px;
    border-radius: 40px;
    margin-right: 15px;
  }

  div#filters div:nth-of-type(2) {
    order: 1;
  }

  div#filters div:nth-of-type(3) {
    order: 0;
  }

  div#filters div:nth-of-type(4) {
    order: 3;
  }
}

div#filters div i {
  position: absolute;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 50%;
  font: var(--fa-font-solid);
  width: 50px;
  height: 50px;
  color: var(--blue-a);
  background-color: var(--blue-b);
  transform: translateX(-20px);
}

@media only screen and (max-width: 768px) {
  div#filters div i {
    width: 87px;
    height: 87px;
    font-size: 35px;
    transform: translateX(-45px);
  }
}

div#filters div span {
  margin-left: 40px;
  margin-right: 25px;
  font-weight: 700;
}

@media only screen and (max-width: 768px) {
  div#filters div span {
    margin-left: 60px;
    font-size: 32px;
  }
}

div#info {
  display: flex;
  align-items: flex-start;
  margin-top: 40px;
  margin-bottom: 20px;
}

@media only screen and (max-width: 768px) {
  div#info {
    margin-bottom: 50px;
  }
}

div#info i {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 25px;
  height: 25px;
  margin-right: 15px;
  border: 1px solid #d5d3d3;
  border-radius: 50%;
  color: var(--blue-a);
}

@media only screen and (max-width: 768px) {
  div#info i {
    width: 25px;
    height: 25px;
    margin-top: 5px;
  }
}

div#info h6 {
  margin: 0;
  font-size: 18px;
  font-weight: 400;
  width: 500px;
}

@media only screen and (max-width: 768px) {
  div#info h6 {
    font-size: 34px;
    width: 575px;
  }
}

div#accomodations {
  display: flex;
  min-width: 1600px;
  width: 100%;
  height: max-content;
  gap: 25px;
}

@media only screen and (min-width: 768px) and (max-width: 992px) {
  div#accomodations {
    flex-direction: column;
    min-width: initial;
  }
}

@media only screen and (max-width: 768px) {
  div#accomodations {
    flex-direction: column;
    min-width: initial;
  }
}

div#accomodations-main {
  width: 75%;
  background-color: var(--gray-a);
  border-radius: 20px;
}

@media only screen and (min-width: 768px) and (max-width: 992px) {
  div#accomodations-main {
    width: 100%;
  }
}

@media only screen and (max-width: 768px) {
  div#accomodations-main {
    width: 100%;
    order: 2;
    background-color: initial;
  }
}

div#accomodations-main h2 {
  font-size: 32px;
  padding-top: 30px;
  margin-left: 30px;
}

@media only screen and (min-width: 768px) and (max-width: 992px) {
  div#accomodations-main h2 {
    margin-left: 0;
    text-align: center;
  }
}

@media only screen and (max-width: 768px) {
  div#accomodations-main h2 {
    width: 90%;
    margin: 25px auto;
  }
}

div#accomodations-wrapper {
  display: flex;
  flex-wrap: wrap;
  margin-left: 30px;
  gap: 30px;
}

@media only screen and (min-width: 768px) and (max-width: 992px) {
  div#accomodations-wrapper {
    margin-left: 0;
    justify-content: center;
  }
}

@media only screen and (max-width: 768px) {
  div#accomodations-wrapper {
    flex-direction: column;
    flex-wrap: initial;
    align-items: center;
    margin-left: 0;
  }
}

a.accomadation-card {
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  flex-basis: 320px;
  height: 270px;
  border-radius: 25px;
  border: 7px solid #fff;
  background-position: 50% 90%;
  background-repeat: no-repeat;
  background-size: cover;
  text-decoration: none;
  color: initial;
  box-sizing: border-box;
  box-shadow: 2px 4px 12px 1px rgba(0, 0, 0, 0.44);
  -webkit-box-shadow: 2px 4px 12px 1px rgba(0, 0, 0, 0.44);
  -moz-box-shadow: 2px 4px 12px 1px rgba(0, 0, 0, 0.44);
}

@media only screen and (max-width: 768px) {
  a.accomadation-card {
    height: initial;
    width: 90%;
  }
}

a.accomadation-card:nth-child(1) {
  background-image: url("/booki/images/hebergements/4_small/marcus-loke-WQJvWU_HZFo-unsplash.jpg");
}

a.accomadation-card:nth-child(2) {
  background-image: url("/booki/images/hebergements/4_small/fred-kleber-gTbaxaVLvsg-unsplash.jpg");
}

a.accomadation-card:nth-child(3) {
  background-image: url("/booki/images/hebergements/4_small/reisetopia-B8WIgxA_PFU-unsplash.jpg");
}

a.accomadation-card:nth-child(4) {
  background-image: url("/booki/images/hebergements/4_small/annie-spratt-Eg1qcIitAuA-unsplash.jpg");
}

a.accomadation-card:nth-child(5) {
  background-image: url("/booki/images/hebergements/4_small/nicate-lee-kT-ZyaiwBe0-unsplash.jpg");
}

a.accomadation-card:nth-child(6) {
  background-image: url("/booki/images/hebergements/4_small/febrian-zakaria-M6S1WvfW68A-unsplash.jpg");
}

div.accomadation-card-bottom {
  width: 100%;
  height: 120px;
  background-color: #fff;
}

@media only screen and (max-width: 768px) {
  div.accomadation-card-bottom {
    font-size: 24px;
    height: 190px;
    margin-top: 215px;
  }
}

div.accomadation-card-bottom h4 {
  font-size: 18px;
}

@media only screen and (max-width: 768px) {
  div.accomadation-card-bottom h4 {
    font-size: 32px;
  }
}

div.accomadation-card-bottom h4:nth-child(1) {
  margin: 20px 0 10px 15px;
  font-weight: 800;
}

div.accomadation-card-bottom h4:nth-child(2) {
  font-weight: 400;
  margin: 0 0 0 15px;
}

@media only screen and (max-width: 768px) {
  div.accomadation-card-bottom h4:nth-child(2) {
    margin: 20px 0 20px 15px;
  }
}

div.star-rating {
  display: flex;
}

div.accomadation-card-bottom div.star-rating {
  margin: 10px 0 0 15px;
}

div.star-rating > i {
  color: var(--blue-a);
}

@media only screen and (max-width: 768px) {
  div.star-rating > i {
    font-size: 24px;
  }
}

aside#accomodations-most-popular {
  display: flex;
  align-items: center;
  flex-direction: column;
  width: 475px;
  border-radius: 20px;
  background-color: var(--gray-a);
}

@media only screen and (min-width: 768px) and (max-width: 992px) {
  aside#accomodations-most-popular {
    width: 100%;
  }
}

@media only screen and (max-width: 768px) {
  aside#accomodations-most-popular {
    order: 1;
    width: 100%;
    border-radius: 0;
    padding: 40px 0;
  }
}

div#accomodations-most-popular-wrapper {
  display: flex;
  justify-content: space-around;
  flex-direction: column;
  width: 80%;
  height: 100%;
}

@media only screen and (min-width: 768px) and (max-width: 992px) {
  div#accomodations-most-popular-wrapper {
    gap: 60px;
    padding: 80px 0;
  }
}

@media only screen and (max-width: 768px) {
  div#accomodations-most-popular-wrapper {
    width: 90%;
    gap: 30px;
  }
}

div#accomodations-most-popular-top {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
}

@media only screen and (max-width: 768px) {
}

div#accomodations-most-popular-top h2 {
  font-size: 32px;
}

@media only screen and (max-width: 768px) {
  div#accomodations-most-popular-top h2 {
    font-weight: 800;
    font-size: 32px;
    margin: 0;
  }
}

@media only screen and (max-width: 768px) {
  div#accomodations-most-popular-top i {
    font-size: 28px;
  }
}

a.most-popular-card {
  display: flex;
  justify-content: flex-end;
  width: 100%;
  height: 170px;
  background-position: 50% 90%;
  background-repeat: no-repeat;
  background-size: cover;
  border-radius: 20px;
  border: 7px solid #fff;
  box-sizing: border-box;
  color: inherit;
  text-decoration: none;
  box-shadow: 2px 4px 12px 1px rgba(0, 0, 0, 0.44);
  -webkit-box-shadow: 2px 4px 12px 1px rgba(0, 0, 0, 0.44);
  -moz-box-shadow: 2px 4px 12px 1px rgba(0, 0, 0, 0.44);
}

@media only screen and (min-width: 768px) and (max-width: 992px) {
  a.most-popular-card {
    height: 225px;
  }
}

@media only screen and (max-width: 768px) {
  a.most-popular-card {
    height: 235px;
  }
}

a.most-popular-card:nth-of-type(1) {
  background-image: url("/booki/images/hebergements/4_small/emile-guillemot-Bj_rcSC5XfE-unsplash.jpg");
}

a.most-popular-card:nth-of-type(2) {
  background-image: url("/booki/images/hebergements/4_small/aw-creative-VGs8z60yT2c-unsplash.jpg");
}

a.most-popular-card:nth-of-type(3) {
  background-image: url("/booki/images/hebergements/4_small/febrian-zakaria-sjvU0THccQA-unsplash.jpg");
}

div.most-popular-card-bottom {
  display: flex;
  justify-content: space-around;
  flex-direction: column;
  width: 60%;
  height: 100%;
  background-color: #fff;
}

div.most-popular-card-bottom > * {
  margin: 0 0 0 15px;
}

@media only screen and (max-width: 768px) {
  div.most-popular-card-bottom > h4 {
    font-size: 30px;
  }
}

div.most-popular-card-bottom > h4:nth-of-type(2) {
  font-weight: 400;
}

div#show-more {
  font-size: 20px;
  font-weight: 800;
  margin: 40px 0 40px 35px;
}

@media only screen and (min-width: 768px) and (max-width: 992px) {
  div#show-more {
    margin: 40px 0 40px 0;
    text-align: center;
  }
}

@media only screen and (max-width: 768px) {
  div#show-more {
    font-size: 32px;
  }
}

div#accomodations + h1 {
  margin-top: 50px;
}

@media only screen and (max-width: 768px) {
  div#accomodations + h1 {
    margin: 50px auto 45px auto;
    width: 90%;
  }
}

div#activities {
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  gap: 50px;
  width: 1600px;
  height: 500px;
}

@media only screen and (min-width: 768px) and (max-width: 992px) {
  div#activities {
    flex-direction: unset;
    justify-content: space-between;
    width: 100%;
    height: max-content;
  }
}

@media only screen and (max-width: 768px) {
  div#activities {
    flex-wrap: initial;
    align-items: center;
    width: 100%;
    height: max-content;
  }
}

div#activities figure {
  padding: 0;
  margin: 0;
  flex-basis: 100%;
  width: 361px;
  border-radius: 20px;
  overflow: hidden;
  box-shadow: 2px 4px 12px 1px rgba(0, 0, 0, 0.44);
  -webkit-box-shadow: 2px 4px 12px 1px rgba(0, 0, 0, 0.44);
  -moz-box-shadow: 2px 4px 12px 1px rgba(0, 0, 0, 0.44);
}

@media only screen and (max-width: 768px) {
  div#activities figure {
    width: 90%;
    border-radius: 45px;
  }
}

div#activities figure > figcaption {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  height: 50px;
  margin-left: 20px;
  font-weight: 800;
}

@media only screen and (max-width: 768px) {
  div#activities figure > figcaption {
    font-size: 34px;
    height: 100px;
    margin-left: 45px;
  }
}

div#activities figure > img {
  width: 100%;
  height: 88%;
}

div#activities figure:nth-of-type(2) > img,
div#activities figure:nth-of-type(6) > img {
  height: 78%;
}

/* Note:  This is not targeting img */
@media only screen and (min-width: 768px) and (max-width: 992px) {
  div#activities figure:nth-of-type(2),
  div#activities figure:nth-of-type(6) {
    height: 335px;
  }
}

div#activities figure:nth-of-type(3) > img,
div#activities figure:nth-of-type(5) > img {
  height: 70%;
}

@media only screen and (min-width: 768px) and (max-width: 992px) {
  div#activities figure:nth-of-type(3) > img,
  div#activities figure:nth-of-type(5) > img {
    height: 78%;
  }
}

div#activities figure:nth-of-type(2),
div#activities figure:nth-of-type(6) {
  flex-basis: 50%;
}

div#activities figure:nth-of-type(3),
div#activities figure:nth-of-type(5) {
  flex-basis: 40%;
}

@media only screen and (min-width: 768px) and (max-width: 992px) {
  div#activities figure:nth-of-type(3),
  div#activities figure:nth-of-type(5) {
    flex-basis: 44%;
  }
}

@media only screen and (max-width: 768px) {
  div#activities figure > img {
    height: 300px !important;
  }
}

footer {
  display: flex;
  width: 100%;
  height: max-content;
  background-color: var(--gray-a);
  margin-top: 80px;
  padding-bottom: 40px;
}

@media only screen and (max-width: 768px) {
  footer {
    flex-direction: column;
    font-size: 32px;
    padding-top: 50px;
  }

  footer > * {
    width: max-content;
    margin-left: 30px;
  }
}

footer div {
  flex-basis: 500px;
  height: 100%;
  padding: 40px;
}

@media only screen and (max-width: 768px) {
  footer div {
    flex-basis: max-content;
    height: initial;
    padding: 5px 40px;
  }
}

footer div ul {
  margin: 0;
  padding: 0;
}

footer > div > ul > li {
  list-style-type: none;
  margin-bottom: 12px;
}

@media only screen and (max-width: 768px) {
  footer > div > ul > li {
    list-style-type: none;
    margin-bottom: 25px;
  }
}
